function setFlag(arg) -- This function sets the value of the flag called in the radio options below to true
trigger.action.setUserFlag(arg, true) -- This action sets the in game flag taking the number (arg) passed from the actions below and setting that flag to true
end

function AddMasterMenu() -- This function creates the menus once when initiated by the timer function at the bottom
local MenuPath = missionCommands.addSubMenu("Common", nil) -- This creates the Menu item "Game Master" in the F10 Menu
local MenuPath1 = missionCommands.addSubMenu("Group 1", MenuPath) -- This creates the "Group 1" Menu under the "Game Master" Menu item
local MenuPath10 = missionCommands.addCommand("Smoke on Home Base", MenuPath1, setFlag, 100) -- This creates the "Set Flag 100" option under the "Group 1" Menu and when selected calls the SetFlag script telling it to change flag 100
local MenuPath11 = missionCommands.addCommand("Smoke on WPT2", MenuPath1, setFlag, 101)
local MenuPath12 = missionCommands.addCommand("Smoke on WPT-IP", MenuPath1, setFlag, 102)
local MenuPath13 = missionCommands.addCommand("Smoke on WPT-Holding Pt", MenuPath1, setFlag, 103)
local MenuPath14 = missionCommands.addCommand("Smoke on WPT-LZ", MenuPath1, setFlag, 104)
local MenuPath15 = missionCommands.addCommand("Smoke on WPT-Regroup", MenuPath1, setFlag, 105)
local MenuPath16 = missionCommands.addCommand("Smoke on WPT7", MenuPath1, setFlag, 106)
local MenuPath17 = missionCommands.addCommand("Smoke on WPT8", MenuPath1, setFlag, 107)
local MenuPath18 = missionCommands.addCommand("Smoke on Home Base", MenuPath1, setFlag, 108)
local MenuPath19 = missionCommands.addCommand("NIL", MenuPath1, setFlag, 109)

local MenuPath2 = missionCommands.addSubMenu("Milan", MenuPath)
local MenuPath20 = missionCommands.addCommand("Hot Spot", MenuPath2, setFlag, 200)
local MenuPath21 = missionCommands.addCommand("Cannon Ball", MenuPath2, setFlag, 201)
local MenuPath22 = missionCommands.addCommand("Set Flag 202 On:", MenuPath2, setFlag, 202)
local MenuPath23 = missionCommands.addCommand("Set Flag 203 On:", MenuPath2, setFlag, 203)
local MenuPath24 = missionCommands.addCommand("Set Flag 204 On", MenuPath2, setFlag, 204)
local MenuPath25 = missionCommands.addCommand("Set Flag 205 On", MenuPath2, setFlag, 205)
local MenuPath26 = missionCommands.addCommand("Set Flag 206 On", MenuPath2, setFlag, 206)
local MenuPath27 = missionCommands.addCommand("Set Flag 207 On", MenuPath2, setFlag, 207)
local MenuPath28 = missionCommands.addCommand("Set Flag 208 On", MenuPath2, setFlag, 208)
local MenuPath29 = missionCommands.addCommand("Set Flag 209 On", MenuPath2, setFlag, 209)

local MenuPath3 = missionCommands.addSubMenu("Sparrow", MenuPath)
local MenuPath30 = missionCommands.addCommand("Teddy Bear", MenuPath3, setFlag, 300)
local MenuPath31 = missionCommands.addCommand("Alamo", MenuPath3, setFlag, 301)
local MenuPath32 = missionCommands.addCommand("Flag 302 On", MenuPath3, setFlag, 302)
local MenuPath33 = missionCommands.addCommand("Flag 303 On", MenuPath3, setFlag, 303)
local MenuPath34 = missionCommands.addCommand("Flag 304 On", MenuPath3, setFlag, 304)
local MenuPath35 = missionCommands.addCommand("Flag 305 On", MenuPath3, setFlag, 305)
local MenuPath36 = missionCommands.addCommand("Flag 306 On", MenuPath3, setFlag, 306)
local MenuPath37 = missionCommands.addCommand("Flag 307 On", MenuPath3, setFlag, 307)
local MenuPath38 = missionCommands.addCommand("Flag 308 On", MenuPath3, setFlag, 308)
local MenuPath39 = missionCommands.addCommand("Flag 309 On", MenuPath3, setFlag, 309)
end

timer.scheduleFunction(AddMasterMenu, nil, timer.getTime() + 2) -- This calls the AddMasterMenu function 2 seconds after the script is loaded

